%global _empty_manifest_terminate_build 0
Name:		python-PyNLPl
Version:	1.2.9
Release:	1
Summary:	A Python library for Natural Language Processing.
License:	GPL
URL:		https://github.com/proycon/pynlpl
Source0:	https://files.pythonhosted.org/packages/ba/af/ee46390c14f270c891ecc5bd4cd3f02c7be408bb2d36bd96b1ae92ccb544/PyNLPl-1.2.9.tar.gz
BuildArch:	noarch


%description
PyNLPl is a Python library for Natural Language Processing. It contains various modules for common, and less common, NLP tasks. PyNLPl can be used for basic tasks such as the extraction of n-grams and frequency lists, and to build simple language model. There are also more complex data types and algorithms. Moreover, there are parsers for file formats common in NLP(eg. FoLiA/Giza/Moses/ARPA/Timbl/CQL). There are also clients to interface with various NLP specific servers. PyNLPl most notably features a very extensive library for working with FoLiA XML(Format for Linguistic Annotation). 

The library is divided into several packages and modules. It works on Python 2.7 as well as Python 3.

%package -n python3-PyNLPl
Summary:	PyNLPl support for python3
Provides:	python-PyNLPl
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-PyNLPl
PyNLPl main package for python 3.

%package help
Summary:	Documents for PyNLPl
Provides:	python3-PyNLPl-doc

%description help
It provides documents and examples for users.

%prep
%autosetup -n PyNLPl-1.2.9

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-PyNLPl -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Oct 20 2020 wangwuzhe <wangwuzhe@huawei.com>
- Package Spec generated
